Subject: bug#48079: Temporary files while building after native-comp merge

From: Glenn Morris <[email-masked]>
Date: Thu, 06 Jan 2022 11:30:26 -0500

Andrea Corallo wrote:

> Otherwise in case of interruption we might mess-up the build as 'make'
> is looking at the .elc files only as targets.

Did you consider using a pattern rule with two targets in the Makefile
to properly express the relationship between .el and .elc/.eln?

See last example in
https://www.gnu.org/software/make/manual/html_node/Pattern-Examples.html